View Issue Details

IDProjectCategoryView StatusLast Update
0002213Industrial-Craft²general / otherpublic2017-07-01 21:33
ReporterRamboAssigned ToChocohead 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002213: Client crash after runing with IndustrialCraft 2 version 2.8.2-ex112
DescriptionClient crush with error after running with mods idustrialcraft2 2.8.2-ex112 .

Error - The game crashed whilst initializing game
Error: java.lang.AbstractMethodError: Method ic2/core/crop/CropModel.bake(Lnet/minecraftforge/common/model/IModelState;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;)Lnet/minecraft/client/renderer/block/model/IBakedModel; is abstract
TagsNo tags attached.
Minecraft Version1.12

Activities

Rambo

2017-06-27 19:01

reporter  

crash-2017-06-27_22.28.41-client.txt (4,810 bytes)
---- Minecraft Crash Report ----
// Don't be sad, have a hug! <3

Time: 6/27/17 10:28 PM
Description: Initializing game

java.lang.AbstractMethodError: Method ic2/core/crop/CropModel.bake(Lnet/minecraftforge/common/model/IModelState;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;)Lnet/minecraft/client/renderer/block/model/IBakedModel; is abstract
	at ic2.core.crop.CropModel.bake(CropModel.java)
	at net.minecraftforge.client.model.ModelLoader$WeightedRandomModel.bake(ModelLoader.java:785)
	at net.minecraftforge.client.model.ModelLoader.func_177570_a(ModelLoader.java:186)
	at net.minecraft.client.renderer.block.model.ModelManager.func_110549_a(ModelManager.java:28)
	at net.minecraft.client.resources.SimpleReloadableResourceManager.func_110542_a(SimpleReloadableResourceManager.java:121)
	at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:512)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:377)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
	at ic2.core.crop.CropModel.bake(CropModel.java)
	at net.minecraftforge.client.model.ModelLoader$WeightedRandomModel.bake(ModelLoader.java:785)
	at net.minecraftforge.client.model.ModelLoader.func_177570_a(ModelLoader.java:186)
	at net.minecraft.client.renderer.block.model.ModelManager.func_110549_a(ModelManager.java:28)
	at net.minecraft.client.resources.SimpleReloadableResourceManager.func_110542_a(SimpleReloadableResourceManager.java:121)
	at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:512)

-- Initialization --
Details:
Stacktrace:
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:377)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
	Minecraft Version: 1.12
	Operating System: Windows 7 (amd64) version 6.1
	Java Version: 1.8.0_25, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 254230256 bytes (242 MB) / 500731904 bytes (477 MB) up to 1060372480 bytes (1011 MB)
	JVM Flags: 6 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx1G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	FML: MCP 9.40 Powered by Forge 14.21.0.2375 6 mods loaded, 6 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCH	minecraft{1.12} [Minecraft] (minecraft.jar) 
	UCH	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCH	FML{8.0.99.99} [Forge Mod Loader] (forge-1.12-14.21.0.2375.jar) 
	UCH	forge{14.21.0.2375} [Minecraft Forge] (forge-1.12-14.21.0.2375.jar) 
	UCH	ic2{2.8.2-ex112} [IndustrialCraft 2] (industrialcraft-2-2.8.2-ex112.jar) 
	UCH	jei{4.7.0.67} [Just Enough Items] (jei_1.12-4.7.0.67.jar) 
	Loaded coremods (and transformers): 
	GL info: ' Vendor: 'NVIDIA Corporation' Version: '4.5.0 NVIDIA 382.05' Renderer: 'GeForce GTX 980/PCIe/SSE2'
	Launched Version: 1.12-forge1.12-14.21.0.2375
	LWJGL: 2.9.4
	OpenGL: GeForce GTX 980/PCIe/SSE2 GL version 4.5.0 NVIDIA 382.05, NVIDIA Corporation
	GL Caps: Using GL 1.3 multitexturing.
Using GL 1.3 texture combiners.
Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
Shaders are available because OpenGL 2.1 is supported.
VBOs are available because OpenGL 1.5 is supported.

	Using VBOs: Yes
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	Type: Client (map_client.txt)
	Resource Packs: 
	Current Language: Русский (Россия)
	Profiler Position: N/A (disabled)
	CPU: 12x Intel(R) Core(TM) i7-4930K CPU @ 3.40GHz

Chocohead

2017-06-27 19:01

developer   ~0005329

Forge is still changing so the newer ones will break from a model cleanup, probably best to wait until at least Wednesday when Forge releases it's first release candidate so that changes made can match code that's going to stay. In the mean time using an older version of Forge should fix that.

Chocohead

2017-07-01 21:33

developer   ~0005347

Fixed in IC2 2.8.3

Issue History

Date Modified Username Field Change
2017-06-27 18:39 Rambo New Issue
2017-06-27 19:01 Rambo File Added: crash-2017-06-27_22.28.41-client.txt
2017-06-27 19:01 Chocohead Note Added: 0005329
2017-06-27 19:01 Chocohead Status new => acknowledged
2017-07-01 21:33 Chocohead Note Added: 0005347
2017-07-01 21:33 Chocohead Status acknowledged => resolved
2017-07-01 21:33 Chocohead Fixed in Version => Builds for MC 1.12.x
2017-07-01 21:33 Chocohead Resolution open => fixed
2017-07-01 21:33 Chocohead Assigned To => Chocohead